import React from 'react';
import { ScheduleItem } from '../../type';
import './index.less';
declare type AllSchedulesPropsType = {
    onOpenDetail?: (id?: number) => void;
    dataSource: ScheduleItem[];
    loading?: boolean;
};
/**
 * 所有schedules列表
 * @param props
 * @constructor
 */
declare const AllSchedules: (props: AllSchedulesPropsType) => React.JSX.Element;
export default AllSchedules;
